GuidesAPI Reference
API Reference

Creates licenses for multiple devices

Starts a batch job to create licenses for either physical devices or virtual devices.

A physical device license is a deviceId and deviceSecret credential pair. The batch job creates a number of physical device licenses specified by the count parameter in the request body. The response contains an array of deviceId and deviceSecret pairs.

Virtual devices are identified with an external device ID and the requestor's project appId. The virtual device external ID is application-specific and the user is free to allocate it as user finds suitable. The external IDs for the virtual devices to be created are specified in the devices array in request body. For virtual devices the response contains only an array of deviceIds, but no deviceSecrets.

The autoclaim parameter can only be used when creating virtual devices. If autoclaim=true, the created virtual devices are immediately claimed by the requesting user account. In this case the response contains also tracking IDs for the claimed devices.

NOTE: Physical devices are deprecated and they should no longer be created.

Path Params
string
required
length ≥ 8

ID for an application from the user's project

Query Params
boolean
Defaults to false

If set to true, the licenses are created and devices are immediately claimed by the same user. Supported only with deviceId array in body, and not with the count parameter.

Body Params
Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json